Index: /applications/dual/VYZ/vyz_texty.bib
===================================================================
--- /applications/dual/VYZ/vyz_texty.bib (revision 1332)
+++ /applications/dual/VYZ/vyz_texty.bib (revision 1339)
@@ -29,2 +29,39 @@
 	year = {2010}
 }
+
+@ARTICLE{shfpmsmct2007,
+	title = {Permanent magnets synchronous motor control theory},
+	author = {M. \v{S}tulrajter and V. Hrabovcov\'{a} and M. Franko},
+	journal = {Journal of Electrical Engineering},	
+	volume = {58},
+	number = {2},
+	year = {2007},
+	pages = {79-84},
+}
+
+@INPROCEEDINGS{vcmdtc2006,
+	title = {Direct Torque Control of Permanent Magnet Synchronous Motor (PMSM) - an approach by using Space Vector Modulation (SVM)},
+	booktitle={Proceedings of the 6th WSEAS/IASME Int. Conf. on Electric Power Systems, High Voltages, Electric Machines}, 
+	author = {S. V. Paturca and M. Covrig and L. Melcescu},	
+	year = {2006},	
+}
+
+@BOOK{BertsekasDPOC,
+    AUTHOR = {{Bertsekas D. P.}},
+    TITLE = {Dynamic Programming and Optimal Control},
+    PUBLISHER = {Athena Scientific},  
+    ADDRESS = {Belmont, Massachusetts},  
+    YEAR = {2005},
+    VOLUME = {I},
+    EDITION = {3rd}
+    ISBN = {1-886529-26-4}    
+}
+
+@BOOK{adaptDC2004,
+   author = {N. M. Filatov and H. Unbehauen},
+   affiliation = {St. Petersburg Institute for Informatics and Automation Russian Academy of Sciences 199178 St. Petersburg Russia},   
+   title = {Adaptive Dual Control, Theory and Applications},
+   series = {Lecture Notes in Control and Information Sciences},
+   publisher = {Springer Berlin / Heidelberg},          
+   year = {2004}
+}
Index: /applications/dual/VYZ/vyz_text.lyx
===================================================================
--- /applications/dual/VYZ/vyz_text.lyx (revision 1332)
+++ /applications/dual/VYZ/vyz_text.lyx (revision 1339)
@@ -1657,4 +1657,11 @@
 \begin_layout Section
 Odvození rovnic
+\begin_inset CommandInset label
+LatexCommand label
+name "sec:Odvození-rovnic"
+
+\end_inset
+
+
 \end_layout
 
@@ -1883,4 +1890,11 @@
 
  soustavě
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Odvození-rovnic-valfabeta"
+
+\end_inset
+
+
 \end_layout
 
@@ -2265,4 +2279,11 @@
 
  soustavě pro různé indukčnosti
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Odvození-rovnice-pro-omegavdqruzne-ldq"
+
+\end_inset
+
+
 \end_layout
 
@@ -2398,4 +2419,11 @@
 \begin_layout Subsection
 Diskretizace
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Diskretizace-rovnice-alfabeta"
+
+\end_inset
+
+
 \end_layout
 
@@ -2420,8 +2448,8 @@
 \begin_layout Standard
 \begin_inset Formula \begin{eqnarray*}
-i_{\alpha,t+1} & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{\alpha,t}+\frac{\psi_{pm}}{L_{s}}\omega_{t}\sin\vartheta_{t}+\frac{u_{\alpha,t}}{L_{s}}\\
-i_{\beta,t+1} & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{\beta,t}-\frac{\psi_{pm}}{L_{s}}\omega_{t}\cos\vartheta_{t}+\frac{u_{\beta,t}}{L_{s}}\\
-\omega_{t+1} & \text{=} & \left(1-\frac{B}{J}\Delta t\right)\omega_{t}+\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}\Delta t\left(i_{\beta,t}\cos\vartheta_{t}-i_{\alpha,t}\sin\vartheta_{t}\right)-\frac{p_{p}}{J}T_{L}\Delta t\\
-\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t\end{eqnarray*}
+i_{\alpha,t+1} & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{\alpha,t}+\frac{\psi_{pm}\Delta t}{L_{s}}\omega_{t}\sin\vartheta_{t}+\frac{\Delta t}{L_{s}}u_{\alpha,t},\\
+i_{\beta,t+1} & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{\beta,t}-\frac{\psi_{pm}\Delta t}{L_{s}}\omega_{t}\cos\vartheta_{t}+\frac{\Delta t}{L_{s}}u_{\beta,t},\\
+\omega_{t+1} & \text{=} & \left(1-\frac{B}{J}\Delta t\right)\omega_{t}+\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}\Delta t\left(i_{\beta,t}\cos\vartheta_{t}-i_{\alpha,t}\sin\vartheta_{t}\right)-\frac{p_{p}}{J}T_{L}\Delta t,\\
+\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t.\end{eqnarray*}
 
 \end_inset
@@ -2433,4 +2461,11 @@
 Rotace do 
 \begin_inset Formula $d-q$
+\end_inset
+
+
+\begin_inset CommandInset label
+LatexCommand label
+name "sub:Rotace-do-dq-problclen"
+
 \end_inset
 
@@ -2635,9 +2670,9 @@
 
 \begin_layout Standard
-\begin_inset Formula \begin{eqnarray*}
-i_{d,t+1}+\left|\overline{\underline{\left(-i_{q,t}\omega_{t}\right)}}\right| & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{d,t}+\frac{u_{d,t}}{L_{s}},\\
-i_{q,t+1}+\left|\underline{\overline{\left(+i_{d,t}\omega_{t}\right)}}\right| & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{q,t}-\frac{\psi_{pm}}{L_{s}}\omega_{t}+\frac{u_{q,t}}{L_{s}},\\
-\omega_{t+1} & \text{=} & \left(1-\frac{B}{J}\Delta t\right)\omega_{t}+\Delta t\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}i_{q,t}-\frac{p_{p}}{J}T_{L}\Delta t,\\
-\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t,\end{eqnarray*}
+\begin_inset Formula \begin{eqnarray}
+i_{d,t+1}+\left|\overline{\underline{\left(-\Delta t\cdot i_{q,t}\omega_{t}\right)}}\right| & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{d,t}+\frac{\Delta t}{L_{s}}u_{d,t},\nonumber \\
+i_{q,t+1}+\left|\underline{\overline{\left(+\Delta t\cdot i_{d,t}\omega_{t}\right)}}\right| & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{q,t}-\frac{\psi_{pm}\Delta t}{L_{s}}\omega_{t}+\frac{\Delta t}{L_{s}}u_{q,t},\label{eq:dqrce-probl-clen}\\
+\omega_{t+1} & \text{=} & \left(1-\frac{B}{J}\Delta t\right)\omega_{t}+\Delta t\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}i_{q,t}-\frac{p_{p}}{J}T_{L}\Delta t,\nonumber \\
+\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t,\nonumber \end{eqnarray}
 
 \end_inset
@@ -2656,4 +2691,11 @@
 \begin_layout Section
 Problematika modelu
+\begin_inset CommandInset label
+LatexCommand label
+name "sec:Problematika-modelu"
+
+\end_inset
+
+
 \end_layout
 
@@ -2729,6 +2771,17 @@
 \end_layout
 
+\begin_layout Chapter
+Algoritmy pro řízení a estimaci
+\end_layout
+
 \begin_layout Section
 Estimace stavových veličin
+\begin_inset CommandInset label
+LatexCommand label
+name "sec:Estimace-stavových-veličin"
+
+\end_inset
+
+
 \end_layout
 
@@ -3273,5 +3326,5 @@
 \end_inset
 
- je také zaměřen na využití EKF, nyní však v případe IPMSM.
+ je také zaměřen na využití EKF, nyní však v případě IPMSM.
  Návrh je komplikovanější v důsledku anizotropie stroje, autoři se ji však
  snaží využít k vylepšení výkonu systému.
@@ -3817,4 +3870,35 @@
  V nízkých otáčkách je pak doplňován injektáží, ta s rostoucími otáčkami
  postupně vymizí.
+ Obdobně v 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "PSP1"
+
+\end_inset
+
+ je užit estimátor založený na napěťovém modelu, v nízkých otáčkách je přidána
+ vysokofrekvenční injektáž.
+ Ta s rostoucími otáčkami lineárně klesá a navíc je nad určitou mezní rycholostí
+ úplně vypnuta.
+\end_layout
+
+\begin_layout Standard
+Hybridní metody jsou samozřejmě dále vylepšovány.
+ Například v 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "PSP2"
+
+\end_inset
+
+ uzpůsobojí standartní hybridní metodu, zejména její injektážní část, aby
+ fungovala i s invertorem vybaveným na výstupu 
+\emph on
+LC
+\emph default
+ filtrem.
+ Toho se užívá zejména k odstranění problému ve střídavých strojích v důsledku
+ napájení nesinusovým napětím z invertoru s pulzně šířkovou modulací.
+ 
 \end_layout
 
@@ -3824,38 +3908,826 @@
 
 \begin_layout Standard
-oddělit, potřeba dobrého odhadu, řízení v 
+Jak již bylo zmíněno výše pro správné řízení je nezbytně nutná znalost polohy
+ natočení rotoru 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ a otáček rotoru 
+\begin_inset Formula $\omega$
+\end_inset
+
+.
+ Jak tyto veličiny, respektive jejich odhady 
+\begin_inset Formula $\hat{\vartheta}$
+\end_inset
+
+ a 
+\begin_inset Formula $\hat{\omega}$
+\end_inset
+
+, získat bylo uvedeno v předchozí části.
+ Předpokládáme tedy, že známe odhad stavu systému 
+\begin_inset Formula $\left(\hat{i_{\alpha}},\hat{i_{\beta}},\hat{\omega},\hat{\vartheta}\right)$
+\end_inset
+
+ a nyní se zaměříme na to, jak systém správně řídit, tedy naplnit požadavky
+ zadaných kritérií.
+ V textu budeme předpokládat následující požadavky na řízení:
+\end_layout
+
+\begin_layout Itemize
+dosažení požadovaných otáček -- snaha aby skutečné otáčky systému 
+\begin_inset Formula $\omega$
+\end_inset
+
+ co nejpřesněji sledovaly zadaný referenční signál požadovaných otáček 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Itemize
+omezení na vstupy 
+\end_layout
+
+\begin_deeper
+\begin_layout Itemize
+řízené veličiny jsou napětí na vstupu do systému, ty z fyzikálních důvodů
+ nemohou být libovolně velké, protože napěťový zdroj je schopen poskytnout
+ pouze určité maximální napětí 
+\begin_inset Formula $U_{max}$
+\end_inset
+
+, tedy na řídící napětí je kladen požadavek 
+\begin_inset Formula $\left|u_{\alpha,\beta}\right|\leq U_{max}$
+\end_inset
+
+
+\end_layout
+
+\begin_layout Itemize
+analogicky napěťový zdroj není schopen produkovat příliš rychle se měnící
+ napětí, například v jednom okamžiku 
+\begin_inset Formula $U_{max}$
+\end_inset
+
+ a v následujícím 
+\begin_inset Formula $-U_{max}$
+\end_inset
+
+, proto je vhodné mít pod kontrolou i změnu řídícíh napětí v sousedních
+ časových krocích 
+\begin_inset Formula $\left|u_{\alpha,\beta}(t+1)-u_{\alpha,\beta}(t)\right|$
+\end_inset
+
+
+\end_layout
+
+\end_deeper
+\begin_layout Standard
+Než přistoupíme k popisu konkrétních řídících algoritmů je důležité upozornit
+ na jeden problém ve zde užitém postupu.
+ Obecně rozdělení algoritmu na estimační a řídící část při současném zachování
+ optimality je možné pouze pro lineární systémy.
+ Uvažovaný systém synchronního stoje zřejmě lineární není.
+ Navrhování estimace a řízení současně v jednom algoritmu by však bylo v
+ tomto případě velmi složité a proto se dopouštíme zmiňovaného zjednodušení.
+ Tento problém lze dále řešit užitím duálních metod, které řízení a estimaci
+ vzájemně provazují a v ideálním případě by vedly k nalezení optimálního
+ řešení.
+\end_layout
+
+\begin_layout Standard
+Obecně lze následující řídící algoritmy uvažovat buď v souřadném systému
+ 
 \begin_inset Formula $\alpha-\beta$
 \end_inset
 
- oprodi 
+ nebo v 
 \begin_inset Formula $d-q$
 \end_inset
 
-
-\end_layout
-
-\begin_layout Subsection*
-řídící strategii 
-\end_layout
-
-\begin_layout Standard
-návrh standartně PI (vektorové), nebo přes LQ, zmínit DTC
-\end_layout
-
-\begin_layout Subsection*
-současný stav
-\end_layout
-
-\begin_layout Standard
-nejlepší je hybridní, ale třeba přepínat více modelů, řízení PI
-\end_layout
-
-\begin_layout Subsection*
-duální přístup
-\end_layout
-
-\begin_layout Standard
-výhody duálního přístupu, proč se na to laicky hodí, problém s reálným časem,
- jednoduché metody
+.
+ Řídící napětí dodáváme do stroje, respektive jako referenci do zdroje napájecíh
+o samotný stroj, v souřadnicích 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+.
+ Proto se návrh v této soustavě jeví jako přímočařejší.
+ 
+\end_layout
+
+\begin_layout Standard
+Na druhou stranu ale většina dále zmiňovaných metod užívá linearizace.
+ Zřejmě již z tvaru rovnic v soustavách 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ viz 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Odvození-rovnic-valfabeta"
+
+\end_inset
+
+ a 
+\begin_inset Formula $d-q$
+\end_inset
+
+ viz 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Odvození-rovnic-vdq"
+
+\end_inset
+
+ je vidět, že linearicazí rovnic v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadnicích se dopouštíme menší chyby.
+ Jedinými nelineárními členy vystupujícími v těchto rovnicích jsou tvaru
+ 
+\begin_inset Formula $\mp i_{q,d}\omega$
+\end_inset
+
+ v rovnici pro 
+\begin_inset Formula $i_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $i_{q}$
+\end_inset
+
+.
+ Když uvážíme, že otáčky 
+\begin_inset Formula $\omega$
+\end_inset
+
+ se v porovnání s proudy 
+\begin_inset Formula $i_{d,q}$
+\end_inset
+
+ mění velmi málo a jsou tedy téměř konstantní, linearizace způsobí velmi
+ malou chybu.
+ Oproti tomu v rovnicích v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ souřadném systému vystupují nelineární členy typu 
+\begin_inset Formula $\omega\sin\vartheta$
+\end_inset
+
+, 
+\begin_inset Formula $\omega\cos\vartheta$
+\end_inset
+
+, 
+\begin_inset Formula $i_{\alpha}\sin\vartheta$
+\end_inset
+
+, 
+\begin_inset Formula $i_{\beta}\cos\vartheta$
+\end_inset
+
+.
+ Linearizace v nich vystupujících goniometrických funkcí je velmi nepřesná
+ a v důsledku relativně rychlé změny úhlu natočení 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ není možné ani žádné učinné zjednodušení.
+\end_layout
+
+\begin_layout Subsection
+Základní řídící strategie
+\end_layout
+
+\begin_layout Subsubsection
+PI regulátor (tady to zkontrolovat s nějakou literaturou)
+\end_layout
+
+\begin_layout Standard
+Naprostá většina dnes využívaných a i v literatuře popisovaných řízení pro
+ PMSM, ale i pro motory obecně, je založena na PI regulátorech.
+ 
+\end_layout
+
+\begin_layout Standard
+PI (proporcionálně integrační) regulátor je jednoduchý systém, který v sobě
+ kombinuje dvě základní části: Proporcionální, což je v podstatě zesilovač
+ a integrální reprezentovanou integrátorem.
+ V tomto systému se vyskytují dvě konstanty 
+\begin_inset Formula $K_{p}$
+\end_inset
+
+ a 
+\begin_inset Formula $K_{i}$
+\end_inset
+
+, které je třeba vhodně nastavit.
+ Základní implementace je následnovná:
+\begin_inset Formula \[
+x_{t}=\mathrm{PI}\left(e_{t},K_{p},K_{i}\right)=K_{p}e_{t}+K_{i}\intop_{0}^{t}e_{\tau}d\tau.\]
+
+\end_inset
+
+Diskrétní verze pak
+\begin_inset Formula \[
+x_{t}=\mathrm{PI}\left(e_{t},K_{p},K_{i}\right)=K_{p}e_{t}+K_{i}\sum_{k=0}^{t}e_{k}.\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Tento regulátor je výhodné užít v případě, kdy chceme vyregulovat 
+\begin_inset Formula $e_{k}$
+\end_inset
+
+ obvykle reprezentující odchylku od požadované hodnoty na nulu.
+ V některých případech bychom si vystačili s proporcionální složkou, integrální
+ složka však dodává lepší stabilitu a schopnost odstranit konstatní regulační
+ odchylku.
+ Cenou za to je pomalejší konvergence.
+\end_layout
+
+\begin_layout Standard
+Samotné PI regulátory však představují pouze realizaci nějakého konkrétního
+ algoritmu.
+ Nejčastěji používanými řídícími algoritmy, a to nejen pro PMSM, ale pro
+ střídavé stroje obecně, jsou následující tři.
+\end_layout
+
+\begin_layout Subsubsection
+Skalární řízení
+\end_layout
+
+\begin_layout Standard
+Skalární řízení je často využíváno v asynchronních strojích, je ale možné
+ jeho užití i pro PMSM.
+ Detailněji je popsáno například v 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "shfpmsmct2007"
+
+\end_inset
+
+.
+ Velkou výhodou je, že se jedná v podstatě o bezsenzorový návrh řízení,
+ funguje na principu nezpětnovazebního řízení (open loop).
+ Nevýhodou je pak závislost rychlosti na zátěžném momentu a horší dynamické
+ vlastnosti.
+ 
+\end_layout
+
+\begin_layout Standard
+Toto řízení je také označováno jako 
+\begin_inset Formula $V/f$
+\end_inset
+
+ řízení, protože regulovanou veličinou je právě poměr napětí a frekvence.
+ Snahou řízení je udržet poměr napětí
+\begin_inset Formula $/$
+\end_inset
+
+frekvence konstantní.
+ Úhlová rychlost rotoru může být určena nepřímo výpočtem z frekvence napájecího
+ napětí.
+ Tato hodnota může být považována za hodnotu skutečných otáček stroje, pokud
+ zátěžný moment nepřesáhne kritickou hodnotu.
+ Pro řízení ale skutečnou hodnotu otáček stroje znát nepotřebujeme, algoritmus
+ totiž pracuje následovně:
+\end_layout
+
+\begin_layout Standard
+Z požadovaných otáček se určí frekvence 
+\begin_inset Formula $f$
+\end_inset
+
+, ta slouží jako referenční signál pro regulátor.
+ Ten pak řídí poměr napětí a frekvence 
+\begin_inset Formula $V/f$
+\end_inset
+
+ tak, aby byl konstantní.
+ Na jeho výstupu získáme amplitudu napětí 
+\begin_inset Formula $V$
+\end_inset
+
+.
+ Řídící napětí pro PMSM v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ souřadnicích je pak ve tvaru 
+\begin_inset Formula \begin{eqnarray*}
+u_{\alpha} & = & V\cos(2\pi ft)\\
+u_{\beta} & = & V\sin(2\pi ft)\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Vektorové řízení
+\end_layout
+
+\begin_layout Standard
+Jedná se asi o nejčastěji využívaný řídící algoritmus.
+ Je užíván pro řízení v kombinaci s estimátorem založeným na zpětné elektromotor
+ické síle, injektáži i v hybridních verzích v naprosté většině citovaných
+ textů z části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Estimace-stavových-veličin"
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Dle 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "shfpmsmct2007"
+
+\end_inset
+
+ vektorové řízení odstraňuje většinu nevýhod skalárního řízení a v porovnání
+ s ním poskytuje velmi dobrý výkon.
+ Jedná se o řízení zpětnovazební a umožňuje samostatné řízení toku i momentu.
+ Uvažujeme reprezentaci stroje v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ souřadném systému.
+ Vektorové řízení je zpětnovazební a je tedy potřeba znát odhady úhlu natočení
+ 
+\begin_inset Formula $\hat{\vartheta}$
+\end_inset
+
+ a otáček 
+\begin_inset Formula $\hat{\omega}$
+\end_inset
+
+ rotoru stroje.
+ Základní struktura regulátoru pak využije zpětné vazby z otáček, kdy první
+ regulátor reguluje odchylku estimovaných otáček 
+\begin_inset Formula $\hat{\omega}$
+\end_inset
+
+ od požadované referenční hodnoty 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+ na nulu.
+ Výstupem je pak referenční proud 
+\begin_inset Formula $\overline{i_{q}}$
+\end_inset
+
+.
+ Referenční proud 
+\begin_inset Formula $\overline{i_{d}}$
+\end_inset
+
+ volíme nulový, aby bylo dosaženo maximálního momentu.
+ Tento postup můmžeme ilustrovat na diskretizované rovnici pro otáčky
+\family roman
+\series medium
+\shape up
+\size normal
+\emph off
+\bar no
+\noun off
+\color none
+\lang english
+
+\begin_inset Formula \[
+\omega_{t+1}\text{=}\left(1-\frac{B}{J}\Delta t\right)\omega_{t}+\Delta t\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}i_{q,t}-\frac{p_{p}}{J}T_{L}\Delta t,\]
+
+\end_inset
+
+
+\family default
+\series default
+\shape default
+\size default
+\emph default
+\bar default
+\noun default
+\color inherit
+\lang czech
+přičemž zanedbáváme poslední člen se zátěžným momentem.
+ Požadované hodnoty bychom chtěli dosáhnout v následujícím kroku a tedy
+ získáme následující tvar rovnice
+\begin_inset Formula \[
+\overline{\omega}-k_{1}\omega=k_{2}i_{q}.\]
+
+\end_inset
+
+ 
+\begin_inset Formula $\overline{i_{q}}$
+\end_inset
+
+ tedy můžeme získat pomocí PI regulátoru s vhodnými konstantami 
+\begin_inset Formula \[
+\overline{i_{q}}=\mathrm{PI}(\overline{\omega}-\omega,K_{p,i},K_{i,i}).\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Referenční hodnoty proudů jsou následně porovnány s estimovanými hodnotami
+ 
+\begin_inset Formula $i_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $i_{q}$
+\end_inset
+
+ a jejich odchylky jsou regulovány na nulu.
+ Toto je provedeno pro každou složku zvlášť a výstupem jsou řídící napětí
+ v souřadnicích 
+\begin_inset Formula $d-q$
+\end_inset
+
+, tedy 
+\begin_inset Formula $u_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $u_{q}$
+\end_inset
+
+.
+ Postupujeme obdobně s rovnicemi proudů
+\begin_inset Formula \begin{eqnarray*}
+i_{d,t+1} & = & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+\frac{\Delta t}{L_{s}}u_{d,t},\\
+i_{q,t+1} & = & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-\frac{\psi_{pm}\Delta t}{L_{s}}\omega_{t}+\frac{\Delta t}{L_{s}}u_{q,t},\end{eqnarray*}
+
+\end_inset
+
+kde prozatím zanedbáme členy s 
+\begin_inset Formula $\pm\Delta t\cdot i_{q,d}\omega$
+\end_inset
+
+, dále pak člen 
+\begin_inset Formula $-\frac{\psi_{pm}\Delta t}{L_{s}}\omega_{t}$
+\end_inset
+
+ a chceme dosáhnout požadovaných hodnot 
+\begin_inset Formula $\overline{i_{d}}=0$
+\end_inset
+
+ a 
+\begin_inset Formula $\overline{i_{q}}$
+\end_inset
+
+, které byly získány v předchozím kroku.
+ To vede na následující tvar
+\begin_inset Formula \begin{eqnarray*}
+-k_{1}i_{d} & = & k_{2}u_{d},\\
+\overline{i_{q}}-k_{1}i_{q} & = & k_{2}u_{q}.\end{eqnarray*}
+
+\end_inset
+
+Napětí 
+\begin_inset Formula $u_{d}$
+\end_inset
+
+ a 
+\begin_inset Formula $u_{q}$
+\end_inset
+
+ měžeme tedy získat pomocí dvou PI regulátorů ve tvaru 
+\begin_inset Formula \begin{eqnarray*}
+u_{d} & = & \mathrm{PI}(-i_{d},K_{p,u},K_{i,u}),\\
+u_{q} & = & \mathrm{PI}(\overline{i_{q}}-i_{q},K_{p,u},K_{i,u}).\end{eqnarray*}
+
+\end_inset
+
+Následně je ještě vhodné provést korekce v důsledku zanedbaných členů a
+ to ve tvaru
+\begin_inset Formula \begin{eqnarray*}
+u_{d} & = & u_{d}-L_{s}\overline{i_{q}}\overline{\omega},\\
+u_{q} & = & u_{q}+\psi_{pm}\overline{\omega}.\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Přímé řízení momentu
+\end_layout
+
+\begin_layout Standard
+Přímé řízení momentu (DTC z Direct Torque Control) dle 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "shfpmsmct2007,vcmdtc2006"
+
+\end_inset
+
+ se užívá, když je potřeba vysoký výkon vzhledem k dynamice momentu.
+ Jak již napovídá název, je řízen přímo moment stroje.
+ Základní princip je jednoduchý.
+ Kruhová trajektorie statorového toku se rozdělí na šest symetrických částí.
+ Velikosti vektorů statorového toku a elektromagnetického momentu v souřadnicích
+ 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ je pak držena v předem stanovených mezích prostřednictvím vhodného spínání
+ jedné ze šesti kombinací na invertoru.
+ 
+\end_layout
+
+\begin_layout Standard
+Touto metodou text již dále nezabývá a je zde uvedena jen pro úplnost.
+\end_layout
+
+\begin_layout Subsection
+Lineářně kvadratické řízení
+\end_layout
+
+\begin_layout Standard
+Řízení 
+\emph on
+LQG
+\emph default
+ (z Linear-Quadratic-Gaussian) je primárně navrženo pro řízení lineárních
+ systémů s kvadratickou ztrátovou funkcí a Gaussovským šumem.
+ Existují však různé modifikace i pro nelineární systémy.
+ Algoritmus 
+\emph on
+LQG
+\emph default
+ často využívá jako pozorovatele Kalmanův filtr.
+ Základní formulace podle 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "BertsekasDPOC"
+
+\end_inset
+
+ je následovná:
+\end_layout
+
+\begin_layout Standard
+Uvažujme lineární systém 
+\begin_inset Formula \[
+x_{k+1}=A_{k}x_{k}+B_{k}u_{k}+w_{k},\quad k=0,1,\ldots,N-1,\]
+
+\end_inset
+
+kde obecně vektorová veličina 
+\begin_inset Formula $x_{k}$
+\end_inset
+
+ reprezentuje stav systému v časovém kroku 
+\begin_inset Formula $k$
+\end_inset
+
+, veličina 
+\begin_inset Formula $u_{k}$
+\end_inset
+
+ řízení v čase 
+\begin_inset Formula $k$
+\end_inset
+
+ a 
+\begin_inset Formula $w_{k}$
+\end_inset
+
+ je Gaussovský bílý šum s nulovou střední hodnotou a známou kovarianční
+ maticí; je uvažován konečný diskrétní časový horizont 
+\begin_inset Formula $N$
+\end_inset
+
+ kroků.
+ 
+\end_layout
+
+\begin_layout Standard
+Kvadratická ztrátová funkce je
+\begin_inset Formula \[
+\mathbf{E}\left\{ x_{N}^{T}Q_{N}x_{N}+\sum_{k=0}^{N-1}\left(x_{k}^{T}Q_{k}x_{k}+u_{k}^{T}R_{k}u_{k}\right)\right\} ,\]
+
+\end_inset
+
+kde 
+\begin_inset Formula $\mathbf{E}$
+\end_inset
+
+ značí očekávanou hodnotu, 
+\begin_inset Formula $Q_{k}$
+\end_inset
+
+ a 
+\begin_inset Formula $R_{k}$
+\end_inset
+
+ jsou penalizační matice stavu systému (splnění požadavků řízení) respektive
+ penalizace vstupů.
+ Při uvažování neúplné informace 
+\begin_inset Formula $I_{k}$
+\end_inset
+
+ o stavu je optimální řízení 
+\family roman
+\series medium
+\shape up
+\size normal
+\emph off
+\bar no
+\noun off
+\color none
+\lang english
+
+\begin_inset Formula $\mu_{k}^{*}$
+\end_inset
+
+
+\family default
+\series default
+\shape default
+\size default
+\emph default
+\bar default
+\noun default
+\color inherit
+\lang czech
+ v každém časovém kroku rovno
+\begin_inset Formula \[
+\mu_{k}^{*}(I_{k})=L_{k}\mathrm{\mathbf{E}}\left\{ x_{k}\mid I_{k}\right\} ,\]
+
+\end_inset
+
+kde matice 
+\begin_inset Formula $L_{k}$
+\end_inset
+
+ je dána rovností
+\begin_inset Formula \[
+L_{k}=-\left(R_{k}+B_{k}^{T}K_{k+1}B_{k}\right)^{-1}B_{k}^{T}K_{k+1}A_{k},\]
+
+\end_inset
+
+přičemž matice 
+\begin_inset Formula $K_{k}$
+\end_inset
+
+ získáme rekurzivně z Riccatiho rovnice
+\begin_inset Formula \begin{eqnarray}
+K_{N} & = & Q_{N},\label{eq:riccati-lqg}\\
+K_{k} & = & A_{k}^{T}\left(K_{k+1}-K_{k+1}B_{k}\left(R_{k}+B_{k}^{T}K_{k+1}B_{k}\right)^{-1}B_{k}^{T}K_{k+1}\right)A_{k}+Q_{k}.\nonumber \end{eqnarray}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Implementace
+\end_layout
+
+\begin_layout Standard
+Samotná implementace lineářně kvadratického řízení pro PMSM v sobě však
+ nese mnoho komplikací, které je třeba vyřešit.
+ Detailněji budou tyto problémy rozebrány v kapitole 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "cha:Návrh-a-vyhodnocení"
+
+\end_inset
+
+, zde bude jen stručně nastíněna základní problématika.
+\end_layout
+
+\begin_layout Standard
+Především řídící matici 
+\begin_inset Formula $L$
+\end_inset
+
+ počítáme z Riccatiho rovnice (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:riccati-lqg"
+
+\end_inset
+
+) zpětnou integrací (diskrétní) v čase a potřebujeme tedy znát budoucí stavy
+ systému.
+ Pro srovnání uveďme například výpočet Kalmanova filtru, kde počítáme duální
+ rovnici integrací vpřed a problém nevzniká.
+ Řešením může být užití 
+\begin_inset Quotes gld
+\end_inset
+
+ubíhajícího horiznotu
+\begin_inset Quotes grd
+\end_inset
+
+, kdy matici 
+\begin_inset Formula $L$
+\end_inset
+
+ navrhujeme na pomocném časovém horiznotu, který se posouvá vzhledem k aktuálním
+u časovému kroku.
+ S tím je spojená komplikace, jak bude stav systému v budoucích časech vypadat.
+ Je tedy potřeba nějak odhadnout budoucí stav a v něm provést výpočet.
+\end_layout
+
+\begin_layout Standard
+LQ řízení již ze svého názvu předpokládá lineární systém a odvozené rovnice
+ v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Odvození-rovnic"
+
+\end_inset
+
+ popisující PMSM nejsou lineární.
+ Je tedy potřeba provést linearizaci a ve spojení s diskretizací se užitím
+ tohoto postupu můžeme dopouštět již značné chyby.
+ Samostatnou otázkou je však i samotná linearizace.
+ Nejdříve je totiž nutné zvolit vhodnou souřadnou soustavu, ve ktreré bude
+ vlastní linearizace provedena.
+ Jak se ukazuje na základě simulací, může to mít značný vliv.
+ 
+\end_layout
+
+\begin_layout Standard
+Dalším důležitým krokem je zvážit možnost zanedbání některých méně významných
+ členů.
+ Případně určit které veličiny se mění velmi pomalu v porovnání s ostatními
+ a je možno je považovat téměř za konstantní v průběhu jednoho časového
+ kroku.
+ Při linearizaci totiž dojde k tomu, že zejména matice 
+\begin_inset Formula $A_{k}$
+\end_inset
+
+ bude závislá na časovém kroku 
+\begin_inset Formula $k$
+\end_inset
+
+ a tedy ji bude nutné v každém kroku měnit.
+ Kdyby se vhodným zanedbáním členů například podařilo, že by všechny matice
+ systému byly konstantní 
+\begin_inset Formula $M_{k}=M$
+\end_inset
+
+, bylo by možné z výše popsaných rovnic pro LQ řízení předpočítat řídící
+ matici 
+\begin_inset Formula $L$
+\end_inset
+
+.
+ To by samozřejmě vedlo ke značnému urychlení výpočtu.
+\end_layout
+
+\begin_layout Standard
+LQ řízení vyžaduje kvadratickou ztrátovou funkci.
+ Problematické jsou v tomto ohledu zejména omezení na vstupy 
+\begin_inset Formula $\left|u_{\alpha,\beta}\right|\leq U_{max}$
+\end_inset
+
+.
+ Ty nelze v algoritmu lineárně kvadratického řízení užít přímo a je třeba
+ je nahradit vhodně nastavenou penalizační maticí 
+\begin_inset Formula $R$
+\end_inset
+
+.
+ Dosažení požadovaných otáček lze pak zvládnout relativně snadno přidáním
+ nové stavové proměnné.
+ Pro omezení na změnu řídících napětí v sousedních časových krocích 
+\begin_inset Formula $\left|u_{\alpha,\beta}(k+1)-u_{\alpha,\beta}(k)\right|$
+\end_inset
+
+ je potřeba provést drobnou modifikaci LQ algoritmu.
+\end_layout
+
+\begin_layout Standard
+Šum ve skutečném stroji samozřejmě neodpovídá modelu Gaussovského bílého
+ šumu, ale jak již bylo uvedeno v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sec:Problematika-modelu"
+
+\end_inset
+
+ budeme tento model šumu pro jednoduchost předpokládat.
 \end_layout
 
@@ -3865,17 +4737,825 @@
 
 \begin_layout Standard
-stručně popis, proč jednoduché, jaké? - třeba filatov...
+Základní princip duálního řízení spočívá v tom, že obsahuje dvě části, 
+\begin_inset Quotes gld
+\end_inset
+
+řídící
+\begin_inset Quotes grd
+\end_inset
+
+ a 
+\begin_inset Quotes gld
+\end_inset
+
+budící
+\begin_inset Quotes grd
+\end_inset
+
+.
+ Řídící část, jako u ostatních řídících algoritmů, má za cíl pokud možno
+ co nejlépe kontrolovat systém a snažit se dosáhnout optimální shody s požadavky
+, referenčním signálem.
+ Oproti tomu budící část hledá optimální budící signál, který by pomohl
+ co nejlépe určit neznámé parametry systému.
+ Tyto snahy jdou samozřejmě proti sobě a cílem duálního řízení je nalézt
+ mezi nimi kompromis.
+ 
+\end_layout
+
+\begin_layout Standard
+Všechny výše zmiňované metody pro řízení a estimaci obecně trpěly dvěma
+ nedostatky, které se snaží duální řízení odstranit.
+ Jednak zcela oddělily řídící a estimační část, které pak pracovaly nezávisle.
+ I v případě injektáží, kdy byl přidáván vysokofrekvenční signál, byl tento
+ signál přidáván stále bez ohledu na okolnosti.
+ Jistý krok směrem k duálnímu přístupu lze pozorovat pouze u hybridních
+ metod, které buď plynule, nebo jednorázově přepínají mezi dvěma modely.
+ Jeden je určen pro dobrou estimaci a druhý pro nízké ztráty při řízení.
+\end_layout
+
+\begin_layout Standard
+Dalším nedostatkem standartních metod je předpoklad, že odhad poskytnutý
+ estimátorem se rovná skutečné hodnotě stavové veličiny.
+ Tento přístup je označován jako 
+\emph on
+Certainty Equivalence
+\emph default
+ (CE).
+ Oproti tomu duální řízení předpokládá stavové veličiny jako náhodné veličiny
+ a uchovává si o nich statistickou informaci.
+ Odhad z estimátoru tedy uvažuje například ve tvaru střední hodnoty a variance
+ dané veličiny a předpokládá, že skutečná hodnota se nachazí například v
+ konfidenčním intervalu s těmito parametry.
+ Z tohoto pohledu tedy přístup CE předpokládá, že skutečná hodnota je rovna
+ střední hodnotě.
+ Duální řízení tedy narozdíl od ostatních založených na CE principu uvažuje
+ kromě odhadu stavové veličiny i to, jak je tento odhad přesný a tomu také
+ přizpůsobuje řídící zákroky.
+ 
+\end_layout
+
+\begin_layout Standard
+Výše zmíněné důvody ukazují, proč by duální přístup mohl být obvzláště vhodný
+ pro řízení PMSM.
+ Je ale třeba mít na paměti, že duální řízení s sebou nese i značné nevýhody.
+ Jedná se především o značnou výpočetní náročnost.
+ To je problematické zejména, když uvažujeme i výpočet v reálném čase.
+ Proto se v textu zaměříme hlavně na nejjednodušší algoritmy duálního řízení,
+ které by tento požadevek mohly naplnit.
+\end_layout
+
+\begin_layout Subsection
+Adaptivní duální řídící systém
+\end_layout
+
+\begin_layout Standard
+Adaptivní duální řídící systém může být dle 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "DAU1"
+
+\end_inset
+
+ definován jako řídící systém pracující za podmínek neurčitosti, který poskytuje
+ požadovaný výkon díky změně svých parametrů a/nebo struktury.
+ Tím je dosaženo snížení nejistoty a zlepšení chování řízeného systému.
+ Nejistota je zahrnuta do řídící strategie vhodnou volbou řídícího signálu,
+ který má následující dvě vlastnosti:
+\end_layout
+
+\begin_layout Itemize
+\begin_inset Quotes gld
+\end_inset
+
+opatrně
+\begin_inset Quotes grd
+\end_inset
+
+ sleduje cíl řízení
+\end_layout
+
+\begin_layout Itemize
+budí (excituje) řízený systém za účelem zlepšení jeho estimace
+\end_layout
+
+\begin_layout Standard
+Z tohoto přístupu plyne několik výhod: Je brána v úvahu přesnost estimace.
+ Regulátor poskytuje optimální buzení pro urychlení estimace.
+ Čas adaptace je kratší a takto navržené řízení poskytuje hladší průběh
+ při přechodových dějích.
+\end_layout
+
+\begin_layout Subsection
+Stručný přehled duálních metod
+\end_layout
+
+\begin_layout Standard
+Následující stručný přehled duálních metod je založen na přehledových článcích
+ 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "DAU1,DSF1"
+
+\end_inset
+
+ a 3.
+ kapitole knihy 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "adaptDC2004"
+
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Dříve byly řídící metody založeny na principu CE a tedy neuvažovaly neurčitost.
+ Odhady jsou při tomto přístupu považovány za skutečné hodnoty parametrů.
+ Hlavním problémem jsou pak velké přestřely při rychlé adaptaci nebo možnost
+ úplně chybného řízení jako například právě u počátečního úhlu natočení
+ rotoru PMSM.
+ A.
+ Feldbaum ve svých raných pracech z 60.
+ let minulého století ukázal, že CE přístup není vždy optimální, naopak
+ je od optimality značně vzdálen.
+ Dále postuloval, dvě hlavní vlastnosti, které by optimální adaptivní systém
+ měl mít: (1) výstup systému opatrně sleduje požadovanou referenční hodnotu
+ a (2) budí (excituje) systém dostatečně, pro urychlení procesu estimace
+ jeho parametrů, tak aby se zlepšila kvalita řízení v budoucích časových
+ krocích.
+\end_layout
+
+\begin_layout Standard
+Formální řešení problému optimálního adaptivního duálního řízení lze nalézt
+ pomocí dynamického programování.
+ Avšak řešení takto vzniklých rovnic není možné numericky a již vůbec ne
+ analyticky ani pro relativně jednoduché případy.
+ Je to způsobeno především problémem s rostoucími dimenzemi.
+ Nemožnost řešit původní problém vedla ke vzniku celé řady metod, které
+ se ho snaží nějakým způsobem zjednodušit.
+ Tyto metody samozřejmě nenaleznou optimální řešení, snaží se ale zachovat
+ hlavní duální rysy, můžeme je rozdělit do dvou hlavních skupin: metody
+ založené na aproximacích (implicitní) a založené na reformulaci problému
+ (explicitní).
+\end_layout
+
+\begin_layout Standard
+Aproximativní metody jsou obvykle složité a výpočetně značně náročné.
+ To vede k volbě hrubějších aproximací, kdy může již dojít ke ztrátě duálních
+ rysů a tedy nedostačujícímu výkonu.
+ Oproti tomu reformulace je více flexibilní a tedy slibnější.
+ Uvažuje speciální ztrátovou funkci s dvěma sečtenými členy.
+ Jeden kontroluje ztrátu v důsledku odchylky od referenční hodnoty a druhý
+ míru nejistoty.
+ Takto vzniklé řízení je jednoduché a výpočetní náročností srovnatelné s
+ CE přístupem.
+ Není však zajištěno trvalé buzení a výkon je opět nedostačující.
+ Je tedy snahou vhodně kombinovat oba zmiňované přístupy a využít výhod
+ obou za současného potlačení jejich nedostatků.
+ Jednou z takových metod například bikriteriální metoda navrhvržená autory
+ 
+\begin_inset CommandInset citation
+LatexCommand cite
+key "DAU1"
+
+\end_inset
+
+ založená na sekvenční minimalizaci dvou ztrátových funkcí.
+\end_layout
+
+\begin_layout Subsection
+
+\series bold
+Konkrétní algoritmy a detailnější popis
+\end_layout
+
+\begin_layout Subsubsection
+Bikriteriální metoda
+\end_layout
+
+\begin_layout Subsubsection
+\begin_inset Formula $\rho$
+\end_inset
+
+--aproximace
+\end_layout
+
+\begin_layout Subsubsection
+Řešení LQG problému pomocí teorie her
+\end_layout
+
+\begin_layout Standard
+Výpočetně relativně málo náročné řešení diskrétního LQG problému duálního
+ řízení je představeno v (
+\series bold
+xDCS1
+\series default
+).
+ Na řešení problému se užívá teorie her, kde hledáme optimální znáhodněnou
+ strategii.
+ Výsledkem pak je, že optimální řešení přeformulovaného problému duálního
+ řízení je vážený průměr konečného počtu standartních LQG optimálních regulátorů.
+ Jako váhové faktory jsou brány zobecněné věrohodnostní poměry.
+\end_layout
+
+\begin_layout Standard
+(Tento přístup se jeví z pohledu tohoto textu výhodným ze dvou důvodů.
+ Jednak využívá LQG regulátory, kterými se práce relativně podrobně zbývá,
+ dále pak využívá více modelů, které se také v simulacích pro estimátory
+ ukázaly jako využitelné.)
 \end_layout
 
 \begin_layout Chapter
-snaha o návrh
+Návrh a vyhodnocení
+\begin_inset CommandInset label
+LatexCommand label
+name "cha:Návrh-a-vyhodnocení"
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Section
+Implementace LQ řízení pro stejné indukčnosti
+\end_layout
+
+\begin_layout Subsection
+LQ řízení v 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ 
+\end_layout
+
+\begin_layout Subsubsection
+Matice systému
+\end_layout
+
+\begin_layout Standard
+Uvažujeme tedy diskretizované rovnice z části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Diskretizace-rovnice-alfabeta"
+
+\end_inset
+
+ 
+\begin_inset Formula \begin{eqnarray*}
+i_{\alpha,t+1} & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{\alpha,t}+\frac{\psi_{pm}\Delta t}{L_{s}}\omega_{t}\sin\vartheta_{t}+\frac{\Delta t}{L_{s}}u_{\alpha,t},\\
+i_{\beta,t+1} & \text{=} & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{\beta,t}-\frac{\psi_{pm}\Delta t}{L_{s}}\omega_{t}\cos\vartheta_{t}+\frac{\Delta t}{L_{s}}u_{\beta,t},\\
+\omega_{t+1} & \text{=} & \left(1-\frac{B}{J}\Delta t\right)\omega_{t}+\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}\Delta t\left(i_{\beta,t}\cos\vartheta_{t}-i_{\alpha,t}\sin\vartheta_{t}\right)-\frac{p_{p}}{J}T_{L}\Delta t,\\
+\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t.\end{eqnarray*}
+
+\end_inset
+
+Pro zjednodušení označíme konstanty následovně: 
+\begin_inset Formula $a=1-\frac{R_{s}}{L_{s}}\Delta t$
+\end_inset
+
+, 
+\begin_inset Formula $b=\frac{\psi_{pm}}{L_{s}}\Delta t$
+\end_inset
+
+, 
+\begin_inset Formula $c=\frac{\Delta t}{L_{s}}$
+\end_inset
+
+, 
+\begin_inset Formula $d=1-\frac{B}{J}\Delta t$
+\end_inset
+
+, 
+\begin_inset Formula $e=\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}\Delta t$
+\end_inset
+
+.
+ Zátěžný moment předpokládáme prozatím nulový 
+\begin_inset Formula $T_{L}=0$
+\end_inset
+
+ a tedy poslední člen třetí rovnice vypadne.
+ Rovnice tedy přejdou na tvar
+\begin_inset Formula \begin{eqnarray}
+i_{\alpha,t+1} & \text{=} & ai_{\alpha,t}+b\omega_{t}\sin\vartheta_{t}+cu_{\alpha,t},\nonumber \\
+i_{\beta,t+1} & \text{=} & ai_{\beta,t}-b\omega_{t}\cos\vartheta_{t}+cu_{\beta,t},\label{eq:diskretni-system-prolq}\\
+\omega_{t+1} & \text{=} & d\omega_{t}+e\left(i_{\beta,t}\cos\vartheta_{t}-i_{\alpha,t}\sin\vartheta_{t}\right),\nonumber \\
+\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t.\nonumber \end{eqnarray}
+
+\end_inset
+
+Jedná se o reprezentaci systému se stavem 
+\begin_inset Formula $x_{t}=\left(i_{\alpha,t},i_{\beta,t},\omega_{t},\vartheta_{t}\right)$
+\end_inset
+
+ a řízením 
+\begin_inset Formula $u_{t}=\left(u_{\alpha,t},u_{\beta,t}\right)$
+\end_inset
+
+, kde předchozí rovnice můžeme zapsat pomocí funkcí 
+\begin_inset Formula $f$
+\end_inset
+
+ a 
+\begin_inset Formula $g$
+\end_inset
+
+ jako 
+\begin_inset Formula $x_{t+1}=f(x_{t},u_{t})$
+\end_inset
+
+.
+ Chceme získat lineární systém ve tvaru 
+\begin_inset Formula $x_{t+1}=A_{t}x_{t}+B_{t}u_{t}$
+\end_inset
+
+.
+ Provedeme tedy linearizaci pomocí Taylorova rozvoje do prvního řádu v reprezent
+ativní trajektorii 
+\begin_inset Formula $(x_{0},u_{0})$
+\end_inset
+
+, tedy 
+\begin_inset Formula \[
+f(x_{t},u_{t})=f(x_{0},u_{0})+\frac{\partial f(x,u)}{\partial x}\biggl|_{0}(x-x_{0})+\frac{\partial f(x,u)}{\partial u}\biggl|_{0}(u-u_{0}).\]
+
+\end_inset
+
+Pak matice systému dostaneme ve tvaru 
+\begin_inset Formula $A_{t}=\frac{\partial f(x_{t},u_{t})}{\partial x_{t}}$
+\end_inset
+
+ a 
+\begin_inset Formula $B_{t}=\frac{\partial f(x_{t},u_{t})}{\partial u_{t}}$
+\end_inset
+
+, což vede na 
+\begin_inset Formula \begin{eqnarray*}
+A_{t} & = & \left[\begin{array}{cccc}
+a & 0 & b\sin\vartheta_{t} & b\omega_{t}\cos\vartheta_{t}\\
+0 & a & -b\cos\vartheta_{t} & b\omega_{t}\sin\vartheta_{t}\\
+-e\sin\vartheta_{t} & e\cos\vartheta_{t} & d & -e\left(i_{\beta,t}\sin\vartheta_{t}+i_{\alpha,t}\cos\vartheta_{t}\right)\\
+0 & 0 & \Delta t & 1\end{array}\right],\\
+B_{t} & = & B=\left[\begin{array}{cc}
+c & 0\\
+0 & c\\
+0 & 0\\
+0 & 0\end{array}\right].\end{eqnarray*}
+
+\end_inset
+
+Dále, když budeme chtít jako pozorovatele užít Kalmanův filtr, budeme potřebovat
+ vztah pro výstup systému systému, ten je formulován jako 
+\begin_inset Formula $y_{t}=g(x_{t})=\left(i_{\alpha,t},i_{\beta,t}\right)^{T}$
+\end_inset
+
+.
+ Tato rovnice již lineární je a můžeme tedy rovnou psát 
+\begin_inset Formula $y_{t}=Cx_{t}$
+\end_inset
+
+, kde 
+\begin_inset Formula \[
+C=\left[\begin{array}{cccc}
+1 & 0 & 0 & 0\\
+0 & 1 & 0 & 0\end{array}\right].\]
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Subsubsection
+Ztrátová funkce
+\end_layout
+
+\begin_layout Standard
+Kvadratickou ztrátovou funkci pro LQ řízení se snažíme nalézt ve tvaru
+\family roman
+\series medium
+\shape up
+\size normal
+\emph off
+\bar no
+\noun off
+\color none
+\lang english
+
+\begin_inset Formula \[
+\mathbf{E}\left\{ x_{N}^{T}Q_{N}x_{N}+\sum_{t=0}^{N-1}\left(x_{t}^{T}Q_{t}x_{t}+u_{t}^{T}R_{t}u_{t}\right)\right\} .\]
+
+\end_inset
+
+
+\family default
+\series default
+\shape default
+\size default
+\emph default
+\bar default
+\noun default
+\color inherit
+\lang czech
+Požadavky na stavové proměnné jsou pouze dosažení požadovaných otáček 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+.
+ To můžeme snadno formulovat pomocí kvadratické funkce v každém časovém
+ kroku jako 
+\begin_inset Formula $q\left(\omega_{t}-\overline{\omega}_{t}\right)^{2}$
+\end_inset
+
+.
+ Zde ale narážíme na problém, že veličinu 
+\begin_inset Formula $\overline{\omega}_{t}$
+\end_inset
+
+ nemáme ve stavu systému a algoritmus LQG s ní tedy nemůže počítat.
+ To obecně při uvažování lineárně kvadratického řízení není problémem, toto
+ řízení řídí vždy na nulu a když máme lineární systém, který tento algoritmus
+ předpokládá, snadno si můžeme výsledek díky linearitě posunout.
+ Uvažovaný systém PMSM však lineární není a je tedy třeba tento problém
+ vyřešit zvlášť.
+ 
+\end_layout
+
+\begin_layout Standard
+Zavedeme do systému novou stavovou proměnou odpovídající referenčnímu signálu
+ 
+\begin_inset Formula $\overline{\omega}$
+\end_inset
+
+ a na nulu budeme řídit rozdíl 
+\begin_inset Formula $\omega_{t}-\overline{\omega}_{t}$
+\end_inset
+
+.
+ Z tohoto důvodu zavedeme substituci 
+\begin_inset Formula $\psi_{t}=\omega_{t}-\overline{\omega}_{t}$
+\end_inset
+
+ a pak 
+\begin_inset Formula $\omega_{t}=\psi_{t}+\overline{\omega}_{t}$
+\end_inset
+
+.
+ Dosadíme do rovnic (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:diskretni-system-prolq"
+
+\end_inset
+
+) a získáme
+\begin_inset Formula \begin{eqnarray*}
+i_{\alpha,t+1} & = & ai_{\alpha,t}+b\left(\psi_{t}+\overline{\omega}_{t}\right)\sin\vartheta_{t}+cu_{\alpha,t},\\
+i_{\beta,t+1} & = & ai_{\beta,t}-b\left(\psi_{t}+\overline{\omega}_{t}\right)\cos\vartheta_{t}+cu_{\beta,t},\\
+\psi_{t+1} & = & d\left(\psi_{t}+\overline{\omega}_{t}\right)-\overline{\omega}_{t+1}+e\left(i_{\beta,t}\cos\vartheta_{t}-i_{\alpha,t}\sin\vartheta_{t}\right),\\
+\vartheta_{t+1} & = & \vartheta_{t}+\left(\psi_{t}+\overline{\omega}_{t}\right)\Delta t\\
+\overline{\omega}_{t+1} & = & \overline{\omega}_{t}.\end{eqnarray*}
+
+\end_inset
+
+Nové matice systému 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+, 
+\begin_inset Formula $B$
+\end_inset
+
+ a 
+\begin_inset Formula $C$
+\end_inset
+
+ jsou pak ve tvaru 
+\begin_inset Formula \begin{eqnarray*}
+A_{t} & = & \left[\begin{array}{ccccc}
+a & 0 & b\sin\vartheta_{t} & b\left(\psi_{t}+\overline{\omega}_{t}\right)\cos\vartheta_{t} & b\sin\vartheta_{t}\\
+0 & a & -b\cos\vartheta_{t} & b\left(\psi_{t}+\overline{\omega}_{t}\right)\sin\vartheta_{t} & -b\cos\vartheta_{t}\\
+-e\sin\vartheta_{t} & e\cos\vartheta_{t} & d & -e\left(i_{\beta}\sin\vartheta_{t}+i_{\alpha}\cos\vartheta_{t}\right) & d-1\\
+0 & 0 & \Delta t & 1 & \Delta t\\
+0 & 0 & 0 & 0 & 1\end{array}\right],\\
+B & = & \left[\begin{array}{cc}
+c & 0\\
+0 & c\\
+0 & 0\\
+0 & 0\\
+0 & 0\end{array}\right],\\
+C & = & \left[\begin{array}{ccccc}
+1 & 0 & 0 & 0 & 0\\
+0 & 1 & 0 & 0 & 0\end{array}\right].\end{eqnarray*}
+
+\end_inset
+
+A člen ztrátové funkce pro penalizaci za odchylku od požadované referenční
+ hodnoty pak můžeme formulovat ve tvaru 
+\begin_inset Formula $x_{t}^{T}Qx_{t}$
+\end_inset
+
+ s maticí
+\begin_inset Formula \[
+Q=\left[\begin{array}{ccccc}
+0 & 0 & 0 & 0 & 0\\
+0 & 0 & 0 & 0 & 0\\
+0 & 0 & q & 0 & 0\\
+0 & 0 & 0 & 0 & 0\\
+0 & 0 & 0 & 0 & 0\end{array}\right],\]
+
+\end_inset
+
+kde nyní vektorem 
+\begin_inset Formula $x_{t}$
+\end_inset
+
+ označujeme nový stav 
+\begin_inset Formula $x_{t}=\left(i_{\alpha,t},i_{\beta,t},\psi_{t},\vartheta_{t},\overline{\omega}_{t}\right)$
+\end_inset
+
+.
+ 
+\end_layout
+
+\begin_layout Standard
+Omezení na vstupy nelze užít ve tvaru 
+\begin_inset Formula $\left|u_{\alpha,\beta}\right|\leq U_{max}$
+\end_inset
+
+, protože jej nelze snadno formulovat pomocí kvadratické funkce.
+ Namísto toho si musíme vystačit s penalizací 
+\begin_inset Formula $u_{t}^{T}R_{t}u_{t}$
+\end_inset
+
+.
+ Volíme tedy jednoduchou realizaci s konstantní maticí 
+\begin_inset Formula $R$
+\end_inset
+
+ s jedním neznámým parametrem 
+\begin_inset Formula $r$
+\end_inset
+
+ 
+\begin_inset Formula \[
+R=\left[\begin{array}{cc}
+r & 0\\
+0 & r\end{array}\right].\]
+
+\end_inset
+
+Konkrétní hodnotu 
+\begin_inset Formula $r$
+\end_inset
+
+ je potřeba vhodně zvolit a nastavit při implementaci a nezáleží na její
+ absolutní velikosti, ale na velikosti vzhledem k parametru 
+\begin_inset Formula $q$
+\end_inset
+
+ z matice 
+\begin_inset Formula $Q$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Když chceme přidat ještě omezení na velikost změny vstupů 
+\begin_inset Formula $\left|u_{\alpha,\beta}(t+1)-u_{\alpha,\beta}(t)\right|$
+\end_inset
+
+ , lze tak jednoduše učinit pomocí přidání dalšího členu do ztrátové funkce.
+ Tento člen budeme volit opět kvadratický a to ve tvaru 
+\begin_inset Formula $\left(u_{t}-u_{t-1}\right)^{T}S\left(u_{t}-u_{t-1}\right)$
+\end_inset
+
+.
+ Penalizační matici budeme opět uvažovat ve tvaru
+\begin_inset Formula \[
+S=\left[\begin{array}{cc}
+s & 0\\
+0 & s\end{array}\right],\]
+
+\end_inset
+
+kde 
+\begin_inset Formula $s$
+\end_inset
+
+ představuje vhodně zvolený parametr.
+ Takovýto člen ale ve standartní ztrátové funkci LQ řízení nevystupuje a
+ jeho přidání již není tak snadné.
+ Při implementaci této verze algoritmu však bylo užito jiné verze LQ algoritmu,
+ která je obecnější a tento zápis dovoluje.
+ Zmiňovaný přístup je založen na maticovém QR rozkladu a kromě toho, že
+ umožňuje mnohem obecnější zadání úlohy s lineárním systémem a kvadratickou
+ ztrátovou funkcí, jeho výpočet je i rychlejší z důvodu efektivnějšího provádění
+ maticové inverze, kterou by bylo třeba počítat při řešení Riccatiho rovnice
+ (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:riccati-lqg"
+
+\end_inset
+
+).
+\end_layout
+
+\begin_layout Subsection
+LQ řízení v 
+\begin_inset Formula $d-q$
+\end_inset
+
+ 
+\end_layout
+
+\begin_layout Standard
+Postup je anlogický jako v případě pro 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ souřadnice.
+ Vyjdeme z rovnic
+\begin_inset Formula \begin{eqnarray*}
+i_{d,t+1} & = & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+\frac{\Delta t}{L_{s}}u_{d,t},\\
+i_{q,t+1} & = & \left(1-\frac{R_{s}}{L_{s}}\Delta t\right)i_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-\frac{\psi_{pm}\Delta t}{L_{s}}\omega_{t}+\frac{\Delta t}{L_{s}}u_{q,t},\\
+\omega_{t+1} & \text{=} & \left(1-\frac{B}{J}\Delta t\right)\omega_{t}+\Delta t\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}i_{q,t}-\frac{p_{p}}{J}T_{L}\Delta t,\\
+\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t,\end{eqnarray*}
+
+\end_inset
+
+pro zjednodušení použijeme stejné označení konstant: 
+\begin_inset Formula $a=1-\frac{R_{s}}{L_{s}}\Delta t$
+\end_inset
+
+, 
+\begin_inset Formula $b=\frac{\psi_{pm}}{L_{s}}\Delta t$
+\end_inset
+
+, 
+\begin_inset Formula $c=\frac{\Delta t}{L_{s}}$
+\end_inset
+
+, 
+\begin_inset Formula $d=1-\frac{B}{J}\Delta t$
+\end_inset
+
+, 
+\begin_inset Formula $e=\frac{k_{p}p_{p}^{2}\psi_{pm}}{J}\Delta t$
+\end_inset
+
+.
+ Zátěžný moment opět předpokládáme nulový 
+\begin_inset Formula $T_{L}=0$
+\end_inset
+
+.
+ Získáme rovnice ve tvaru
+\begin_inset Formula \begin{eqnarray*}
+i_{d,t+1} & = & ai_{d,t}+\Delta t\cdot i_{q,t}\omega_{t}+cu_{d,t},\\
+i_{q,t+1} & = & ai_{q,t}-\Delta t\cdot i_{d,t}\omega_{t}-b\omega_{t}+cu_{q,t},\\
+\omega_{t+1} & \text{=} & d\omega_{t}+ei_{q,t},\\
+\vartheta_{t+1} & \text{=} & \vartheta_{t}+\omega_{t}\Delta t.\end{eqnarray*}
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Tento tvar rovnic je z hlediska linearizece daleko příznivější, protože
+ jedinými nelineárními členy jsou 
+\begin_inset Formula $\pm\Delta t\cdot i_{q,d}\omega$
+\end_inset
+
+.
+ Problematika těchto dvou členů byla již nastíněna v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Rotace-do-dq-problclen"
+
+\end_inset
+
+, kde v rovnici (
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "eq:dqrce-probl-clen"
+
+\end_inset
+
+) jsou tyto členy zarámovány.
+ Při jistém pořadí úprav (které ale není zcela korektní) tyto členy nevzniknou
+ a je tedy namístě otázka, co se stane, když je zanedbáme.
+ Pak by systém byl lineární, matici řízení 
+\begin_inset Formula $L$
+\end_inset
+
+ by bylo možno předpočítat a celý návrh řízení by se usnadnil a hlavně urychlil.
+ Jestli je však možné tyto členy zanedbat se ukáže až jako výsledek simulací,
+ z tohoto důvodu zde bude uvedena i verze matic pro systém PMSM bez těchto
+ členů.
+ 
+\end_layout
+
+\begin_layout Standard
+Ještě je třeba upozornit na důležitý detail.
+ Na první pohled by se mohlo zdát, že jsme z rovnic kompletně odstranili
+ závislost na úhlu natočení 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+ a nepotřebujeme jej tedy znát.
+ To však není pravda, závislost tam stále je, i když skrytá.
+ Měření výstupu i poskytování vstupu do systému probíhá v souřadné soustavě
+ 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+, když navrhujeme řízení v soustavě 
+\begin_inset Formula $d-q$
+\end_inset
+
+ je samozřejmě třeba provést transformaci a pak inverzní transformaci zpět.
+ Tyto transformace byly popsány v části 
+\begin_inset CommandInset ref
+LatexCommand ref
+reference "sub:Transformace_albe_dq"
+
+\end_inset
+
+ a zřejmě závisí právě na úhlu natočení 
+\begin_inset Formula $\vartheta$
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Standard
+Ztrátovou funkci budeme uvažovat stejnou jako v předchozím případě pro 
+\begin_inset Formula $\alpha-\beta$
+\end_inset
+
+ a stav rovnou rozšíříme o referenční signál na 
+\begin_inset Formula $x_{t}=\left(i_{d,t},i_{q,t},\psi_{t},\vartheta_{t},\overline{\omega}_{t}\right)$
+\end_inset
+
+.
+ Vektor řízení je 
+\begin_inset Formula $u_{t}=\left(u_{d,t},u_{q,t}\right)$
+\end_inset
+
+.
+ Matice pro systém při neuvažování členů 
+\begin_inset Formula $\pm\Delta t\cdot i_{q,d}\omega$
+\end_inset
+
+ jsou následující:
+\begin_inset Formula \begin{eqnarray*}
+A & = & \left[\begin{array}{ccccc}
+a & 0 & 0 & 0 & 0\\
+0 & a & -b & 0 & -b\\
+0 & e & d & 0 & d-1\\
+0 & 0 & \Delta t & 1 & \Delta t\\
+0 & 0 & 0 & 0 & 1\end{array}\right],\\
+B & = & \left[\begin{array}{cc}
+c & 0\\
+0 & c\\
+0 & 0\\
+0 & 0\\
+0 & 0\end{array}\right].\end{eqnarray*}
+
+\end_inset
+
+Když členy 
+\begin_inset Formula $\pm\Delta t\cdot i_{q,d}\omega$
+\end_inset
+
+ uvažovat budeme, je třeba provést linearizaci a matice 
+\begin_inset Formula $A_{t}$
+\end_inset
+
+ pak již nebude konstantní
+\begin_inset Formula \[
+A_{t}=\left[\begin{array}{ccccc}
+a & \Delta t\cdot\omega & \Delta t\cdot i_{q} & 0 & \Delta t\cdot i_{q}\\
+-\Delta t\cdot\omega & a & -\Delta t\cdot i_{d}-b & 0 & -\Delta t\cdot i_{d}-b\\
+0 & e & d & 0 & d-1\\
+0 & 0 & \Delta t & 1 & \Delta t\\
+0 & 0 & 0 & 0 & 1\end{array}\right].\]
+
+\end_inset
+
+Matice 
+\begin_inset Formula $B$
+\end_inset
+
+ zůstává stejná.
 \end_layout
 
 \begin_layout Standard
 injektáž-závěs-klaman-lq
-\end_layout
-
-\begin_layout Chapter
-vyhodnoncení a simulace
 \end_layout
 
@@ -3902,4 +5582,10 @@
 \begin_layout Standard
 podloženo simulacemi i z těch předchozích sekcí
+\end_layout
+
+\begin_layout Standard
+
+\series bold
+vypočítat časovou závislot prvků matice L
 \end_layout
 
